package com.ruoyi.circuit.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.circuit.domain.CIntegratedCircuit;
import com.ruoyi.report.vo.LastSumDTO;
import com.ruoyi.trade.domain.CTrademark;

/**
 * 中国集成电路Mapper接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface CIntegratedCircuitMapper extends BaseMapper<CIntegratedCircuit> {
	

    List<Map> listReport(CIntegratedCircuit cIntegratedCircuit);
    
    List<Map> listForLast();
    

    Long sumForLast();
    
    /**
     * 清空数据
     */
    void clearData();
}
